pulseaudio crashed with SIGABRT in pa_source_get_volume()

Bug #841968 reported by Sense Egbert Hofstede on 2011-09-05
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Medium
David Henningsson

Bug Description

On boot.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: pulseaudio 1:0.99.3-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-10.16-generic 3.0.4
Uname: Linux 3.0.0-10-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/seq: timidity 1534 F.... timidity
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xf9e78000 irq 21'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,1043829f,00100002'
   Controls : 36
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'CODEC'/'Burr-Brown from TI USB Audio CODEC at usb-0000:00:02.0-2, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB08bb:2904'
   Controls : 2
   Simple ctrls : 1
Date: Mon Sep 5 18:36:34 2011
ExecutablePath: /usr/bin/pulseaudio
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
ProcEnviron:
 SHELL=/bin/false
 LC_MESSAGES=nl_NL.UTF-8
 PATH=(custom, no user)
 LANGUAGE=nl:en_GB:en
 LANG=nl_NL.UTF-8
PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
Signal: 6
SourcePackage: pulseaudio
StacktraceTop:
 pa_source_get_volume (s=0x24fe7a0, force_refresh=<optimized out>) at pulsecore/source.c:1553
 pa_source_process_msg (object=0x24fe7a0, code=21, userdata=0x0, offset=0, chunk=<optimized out>) at pulsecore/source.c:2029
 source_process_msg (o=0x24fe7a0, code=21, data=0x0, offset=0, chunk=0x0) at modules/alsa/alsa-source.c:1035
 pa_asyncmsgq_flush (a=0x2515480, run=true) at pulsecore/asyncmsgq.c:347
 pa_thread_mq_done (q=0x2511d10) at pulsecore/thread-mq.c:107
Title: pulseaudio crashed with SIGABRT in pa_source_get_volume()
UpgradeStatus: Upgraded to oneiric on 2011-07-04 (63 days ago)
UserGroups:

dmi.bios.date: 08/06/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0415
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M3N78-EH
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0415:bd08/06/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM3N78-EH:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Sense Egbert Hofstede (sense) wrote :

StacktraceTop:
 pa_source_get_volume (s=0x24fe7a0, force_refresh=<optimized out>) at pulsecore/source.c:1553
 pa_source_process_msg (object=0x24fe7a0, code=21, userdata=0x0, offset=0, chunk=<optimized out>) at pulsecore/source.c:2029
 source_process_msg (o=0x24fe7a0, code=21, data=0x0, offset=0, chunk=0x0) at modules/alsa/alsa-source.c:1035
 pa_asyncmsgq_flush (a=0x2515480, run=true) at pulsecore/asyncmsgq.c:347
 pa_thread_mq_done (q=0x2511d10) at pulsecore/thread-mq.c:107

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
David Henningsson (diwic) wrote :

Hi Sense and thanks for your bug report! I'm attaching a patch which I believe should solve the problem. I'm also sending it upstream for discussion.

visibility: private → public
Changed in pulseaudio (Ubuntu):
assignee: nobody → David Henningsson (diwic)
status: New → In Progress

The attachment "0001-Avoid-crash-by-not-updating-volume-on-shutdown.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.99.3-0ubuntu4

---------------
pulseaudio (1:0.99.3-0ubuntu4) oneiric; urgency=low

  * Fix crash in jack detection patches (LP: #845468)
  * Fix crash when reading volume when sink/source is unlinked (LP: #841968)
  * Fix crash in RAOP (LP: #845286)
 -- David Henningsson <email address hidden> Mon, 12 Sep 2011 10:29:00 +0200

Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.